macroScript lightToggle
	category:"Comet Cartoons"
	toolTip:"lightToggle: Enabled/Disables all selected lights."
	Icon:#("CometCartoons",15)
(
-- lightToggle - By Michael B. Comet - comet@comet-cartoons.com
-- 				http://www.comet-cartoons.com/
--
--	Actually this script will alter the ".enabled" state of any 
--	selected object that has that, not just lights.
--
-- Version 1.00 - comet@comet-cartoons.com - 12/23/01
--


mapped fn lightOnOffToggle obj =
(
    try
        (
		obj.enabled = not (obj.enabled);
		)
	catch
		(
		)
)

lightOnOffToggle($selection);


) -- end of macro

