-- toggleMeshSmooth.ms
-- For every SELECTED object that has meshsmooth on its stack, this will toggle the 
--	enable state of the modifier on or off.
--
-- Michael B. Comet - comet@comet-cartoons.com - March 18, 2001
--		http://www.comet-cartoons.com/

mapped fn toggle_meshsmooth o =
(
    try (
		o.MeshSmooth.enabled = not (o.MeshSmooth.enabled);
	) catch ();
)

undo on (
	toggle_meshsmooth selection;
)

